# ApplicationAssignableFile

Assignable file for application installs

## GET /v3/applicationInstall/assignable

> Get a list of assignable files

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationAssignableFile","description":"Assignable file for application installs"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AssignableFile":{"type":"object","required":["id","fileName","fileSize","fileSHA256","status","statusText"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the file","readOnly":true},"fileName":{"type":"string","format":"","description":"Name of the file","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"Size in bytes of the file","readOnly":true},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash","readOnly":true},"status":{"type":"integer","format":"integer","description":"Status of this file, options:\n- 0: no status.\n- 1: new file discovered on FTP account.\n- 2: new file on FTP account has been scanned and added to collection.\n- 3: application install details have been provided.\n- 4: transferring the original archive to the main file server.\n- 5: finished transferring the original archive to the main file server.\n- 6: re-packing the original archive.\n- 7: finished re-packing the original archive.\n- 10: creating a hash of the new archive.\n- 11: deploying the final archive to all relevant file servers.\n- 12: deploying the final archive to all relevant file servers\n- 13: finished deploying the final archive to all relevant file servers.\n- 14: activated the game install.\n- 125: cancelled.\n- 126: cancelled and cleaned up.\n- 127: the application install creation process has finished.\n- 128: a permanent error has been encountered.","readOnly":true},"statusText":{"type":"string","format":"","description":"Status in text of this file","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/assignable":{"get":{"deprecated":true,"tags":["ApplicationAssignableFile"],"summary":"Get a list of assignable files","operationId":"getApplicationInstallAssignables","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AssignableFile"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationInstall/assignable/{fileId}

> Get details for the given assignable file

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationAssignableFile","description":"Assignable file for application installs"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AssignableFile":{"type":"object","required":["id","fileName","fileSize","fileSHA256","status","statusText"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the file","readOnly":true},"fileName":{"type":"string","format":"","description":"Name of the file","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"Size in bytes of the file","readOnly":true},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash","readOnly":true},"status":{"type":"integer","format":"integer","description":"Status of this file, options:\n- 0: no status.\n- 1: new file discovered on FTP account.\n- 2: new file on FTP account has been scanned and added to collection.\n- 3: application install details have been provided.\n- 4: transferring the original archive to the main file server.\n- 5: finished transferring the original archive to the main file server.\n- 6: re-packing the original archive.\n- 7: finished re-packing the original archive.\n- 10: creating a hash of the new archive.\n- 11: deploying the final archive to all relevant file servers.\n- 12: deploying the final archive to all relevant file servers\n- 13: finished deploying the final archive to all relevant file servers.\n- 14: activated the game install.\n- 125: cancelled.\n- 126: cancelled and cleaned up.\n- 127: the application install creation process has finished.\n- 128: a permanent error has been encountered.","readOnly":true},"statusText":{"type":"string","format":"","description":"Status in text of this file","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/assignable/{fileId}":{"get":{"deprecated":true,"tags":["ApplicationAssignableFile"],"summary":"Get details for the given assignable file","operationId":"getApplicationInstallAssignable","parameters":[{"name":"fileId","in":"path","description":"The Id of the assignable file","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AssignableFile"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fileId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/applicationassignablefile-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
